
public class Variable {
	/*
	 * Klasse, um eine Variable (und ggf. ihr Negationszeichen) zu speichern. Standardmaeßig nicht belegt (-1).
	 */
	
	private boolean negiert;
	private String bezeichner;
	private int belegung;
	
	public Variable (String bez, boolean n){
		/*
		 * Konstruktor. Belegung standardmaeßig -1.
		 */
		bezeichner = bez;
		negiert = n;
		belegung = -1;
	}
	
	public boolean getNegiert(){
		/*
		 * Gibt zurück, ob Variable negiert oder nicht vorliegt.
		 */
		return negiert;
	}
	
	public int getBelegung(){
		/*
		 * Gibt derzeitige Belegung der Variable zurück.
		 */
		return belegung;
	}
	
	public String getBezeichner(){
		/*
		 * Gibt den Namen der Variable zurueck.
		 */
		return bezeichner;
	}
	
	public void setBelegung(int i){
		/*
		 * Setzt Variable auf eine gueltige Belegung (0,1) . Sonst auf -1.
		 */
		if ((i == 0) || (i == 1)){
			belegung = i;
		}else{
			belegung = -1;
		}
		
	}
	
	public int eval(){
		/*
		 * Gibt entsprechenden Wert (0,1) aus, falls Variable belegt ist. Sonst -1.
		 */
		if (belegung != -1){
			if (negiert){
				return 1-belegung;
			}else{
				return belegung;
			}
		}
		return -1;
	}
	
	public String toString(){
		/*
		 * Gibt Variable inklusive Negation als String aus. BUG: Unicode für not funktioniert nicht.
		 */
		String res = bezeichner;
		if (negiert){res = "!"+res;}
		return res;
	}
	
}
